Зависит от cloud_firestore 0.14.4 и http 0.13.3, решение версии не удалось

Зависит от cloud_firestore 0.14.4 и http 0.13.3, определение версии не удалось.

flutter pub get Предупреждение: вы используете следующие переопределенные зависимости:! http 0.12.2 (доступно 0.13.3)! intl 0.17.0 Running flutter pub получить клиента … 2032 мс

flutter pub get Поскольку cloud_firestore_web 0.2.1 + 2 зависит от http_parser ^ 3.1.3 и никакие версии cloud_firestore_web не соответствуют ›0.2.1 + 2‹ 0.3.0, cloud_firestore_web ^ 0.2.1 + 2 требует http_parser ^ 3.1.3. И поскольку http ›= 0.13.0 зависит от http_parser ^ 4.0.0, а cloud_firestore 0.14.4 зависит от cloud_firestore_web ^ 0.2.1 + 2, http› = 0.13.0 несовместим с cloud_firestore 0.14.4. Итак, поскольку dailysauda зависит как от cloud_firestore 0.14.4, так и от http 0.13.3, определение версии не удалось. Запуск flutter pub get in customer … pub get failed (1; так, поскольку dailysauda зависит как от cloud_firestore 0.14.4, так и от http 0.13.3, определение версии не удалось.)

См. также:  Обновите документ Firestore из облачной функции
Понравилась статья? Поделиться с друзьями:
IT Шеф
Комментарии: 1
  1. Bhabanisankar Das

    Я бы рекомендовал использовать последние версии пакетов.

    На данный ответ последние версии:

    cloud_firestore: ^2.2.2
    https: ^0.13.3
    

    Это должно решить вашу проблему.

    Причина этого, вероятно, заключается в различиях в пакетах с новыми функциями, такими как проверки, допускающие значение NULL и т. Д.

    Получение сейчас Поскольку firebase_auth 0.18.4 + 1 зависит от firebase_core_platform_interface ^ 2.1.0 и cloud_firestore ›= 2.1.0 зависит от firebase_core_platform_interface ^ 4.0.1, firebase_auth 0.18.4 + 1 несовместим с cloud_firestore› = 2.1.0. Итак, поскольку dailysauda зависит как от cloud_firestore ^ 2.2.2, так и от firebase_auth 0.18.4 + 1, определение версии не удалось. Запуск flutter pub get in customer … pub get failed (1; так, поскольку dailysauda зависит как от cloud_firestore ^ 2.2.2, так и от firebase_auth 0.18.4 + 1, определение версии не удалось.) person Bhabanisankar Das; 29.06.2021

    Любая помощь, пожалуйста … person Bhabanisankar Das; 30.06.2021

    Пожалуйста, поделитесь содержимым вашего файла pubspec.yaml person Bhabanisankar Das; 01.07.2021

    snipboard.io/cZwEkA.jpg person Bhabanisankar Das; 02.07.2021

    snipboard.io/j0rfkn.jpg person Bhabanisankar Das; 02.07.2021

Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: